#!/bin/bash

# Renew Let's Encrypt SSL cert

domains=( "freelance" "blog" "code" "bookmarklet" "cv" "dav" "flashforward" "flashnext" "git" "labs" "nemo" "portfolio" "tumblr" "wiki" )

for i in "${domains[@]}"
do
  full="$i.shikiryu.com"
  path/to/letsencrypt-auto -d "$full" --renew-by-default --no-redirect --text
  if [ $? -ne 0 ] 
  then
    ERRORLOG=`tail /var/log/letsencrypt/letsencrypt.log`
    echo -e "The Lets Encrypt Cert for $full has not been renewed! \n \n" $ERRORLOG | mail -s "Lets Encrypt Cert Alert" mail@example.fr
  fi  
done